   This file documents the Emacs/W3 World Wide Web browser.

   Copyright (C) 1993, 1994, 1995, 1996 William M. Perry Copyright (C)
1996, 1997 Free Software Foundation

   Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

font-variant
............

Value:         normal | small-caps
Initial:       normal
Applies to:    all elements
Inherited:     yes
Percentage     N/A
values:

   Another type of variation within a font family is the small-caps. In
a small-caps font the lower case letters look similar to the uppercase
ones, but in a smaller size and with slightly different proportions. The
'font-variant' property selects that font.

   A value of 'normal' selects a font that is not a small-caps font,
'small-caps' selects a small-caps font. It is acceptable (but not
required) in CSS1 if the small-caps font is a created by taking a normal
font and replacing the lower case letters by scaled uppercase
characters. As a last resort, uppercase letters will be used as
replacement for a small-caps font.

   The following example results in an 'H3' element in small-caps, with
emphasized words in oblique small-caps:

       H3 { font-variant: small-caps }
       EM { font-style: oblique }

   There may be other variants in the font family as well, such as fonts
with old-style numerals, small-caps numerals, condensed or expanded
letters, etc. CSS1 has no properties that select those.

font-weight
...........

Supported      normal | bold | 100 | 200 | 300 | 400 | 500 | 600 | 700 |
Values:        800 | 900
Unsupported    bolder | lighter
Values:
Initial:       normal
Applies to:    all elements
Inherited:     yes
Percentage     N/A
values:

   The 'font-weight' property selects the weight of the font. The values
'100' to '900' form an ordered sequence, where each number indicates a
weight that is at least as dark as its predecessor. The keyword 'normal'
is synonymous with '400', and 'bold' is synonymous with '700'. Keywords
other than 'normal' and 'bold' have been shown to be often confused with
font names and a numerical scale was therefore chosen for the 9-value
list.

       P { font-weight: normal }   /* 400 */
       H1 { font-weight: 700 }     /* bold */

   The 'bolder' and 'lighter' values select font weights that are
relative to the weight inherited from the parent:

       STRONG { font-weight: bolder }

   There is no guarantee that there will be a darker face for each of
the 'font-weight' values; for example, some fonts may have only a
normal and a bold face, others may have eight different face weights.
There is no guarantee on how a UA will map font faces within a family
to weight values. The only guarantee is that a face of a given value
will be no less dark than the faces of lighter values.

font-size
.........

Supported      <absolute-size> | <length>
Values:
Unsupported    <percentage> | <relative-size>
Values:
Initial:       medium
Applies to:    all elements
Inherited:     yes
Percentage     relative to parent element's font size
values:

<absolute-size>
     An <absolute-size> keyword is an index to a table of font sizes
     computed and kept by the UA. Possible values are:
        * xx-small

        * x-small

        * small

        * medium

        * large

        * x-large

        * xx-large

     On a computer screen a scaling factor of 1.5 is suggested between
     adjacent indexes; if the 'medium' font is 10pt, the 'large' font
     could be 15pt. Different media may need different scaling factors.
     Also, the UA should take the quality and availability of fonts
     into account when computing the table. The table may be different
     from one font family to another.

<relative-size>
     A <relative-size> keyword is interpreted relative to the table of
     font sizes and the font size of the parent element. Possible
     values are larger or smaller. For example, if the parent element
     has a font size of 'medium', a value of 'larger' will make the
     font size of the current element be 'large'. If the parent
     element's size is not close to a table entry, the UA is free to
     interpolate between table entries or round off to the closest one.
     The UA may have to extrapolate table values if the numerical value
     goes beyond the keywords.

   Length and percentage values should not take the font size table into
account when calculating the font size of the element.

   Negative values are not allowed.

   On all other properties, 'em' and 'ex' length values refer to the
font size of the current element. On the 'font-size' property, these
length units refer to the font size of the parent element.

   Note that an application may reinterpret an explicit size, depending
on the context. E.g., inside a VR scene a font may get a different size
because of perspective distortion.

   Examples:

       P { font-size: 12pt; }
       BLOCKQUOTE { font-size: larger }
       EM { font-size: 150% }
       EM { font-size: 1.5em }

   If the suggested scaling factor of 1.5 is used, the last three
declarations are identical.

font
....

Value:         [ <font-style> || <font-variant> || <font-weight> ]?
               <font-size> [ / <line-height> ]? <font-family>
Initial:       not defined for shorthand properties
Applies to:    all elements
Inherited:     yes
Percentage     allowed on <font-size> and <line-height>
values:

   The 'font' property is a shorthand property for setting 'font-style'
'font-variant' 'font-weight' 'font-size', 'line-height' and
'font-family' at the same place in the style sheet. The syntax of this
property is based on a traditional typographical shorthand notation to
set multiple properties related to fonts.

   For a definition of allowed and initial values, see the previously
defined properties. Properties for which no values are given are set to
their initial value.

       P { font: 12pt/14pt sans-serif }
       P { font: 80% sans-serif }
       P { font: x-large/110% "new century schoolbook", serif }
       P { font: bold italic large Palatino, serif }
       P { font: normal small-caps 120%/120% fantasy }

   In the second rule, the font size percentage value ('80%') refers to
the font size of the parent element. In the third rule, the line height
percentage refers to the font size of the element itself.

   In the first three rules above, the 'font-style', 'font-variant' and
'font-weight' are not explicitly mentioned, which means they are all
three set to their initial value ('normal'). The fourth rule sets the
'font-weight' to 'bold', the 'font-style' to 'italic' and implicitly
sets 'font-variant' to 'normal'.

   The fifth rule sets the 'font-variant' ('small-caps'), the
'font-size' (120% of the parent's font), the 'line-height' (120% times
the font size) and the 'font-family' ('fantasy'). It follows that the
keyword 'normal' applies to the two remaining properties: 'font-style'
and 'font-weight'.

Colors and Backgrounds
----------------------

   These properties describe the color (often called foreground color)
and background of an element (i.e. the surface onto which the content is
rendered). One can set a background color and/or a background image. The
position of the image, if/how it is repeated, and whether it is fixed or
scrolled relative to the canvas can also be set.

   The 'color' property inherits normally. The background properties do
not inherit, but the parent element's background will shine through by
default because of the initial 'transparent' value on
'background-color'.

   NOTE: Currently, Emacs/W3 can only show background images under
XEmacs.  Emacs 19 doesn't have the support in its display code yet.

color
.....

Value:         <color>
Initial:       User specific
Applies to:    all elements
Inherited:     yes
Percentage     N/A
values:

   This property describes the text color of  an element (often
referred to as the foreground color). There are different ways to
specify red:

       EM { color: red }              /* natural language */
       EM { color: rgb(255,0,0) }     /* RGB range 0-255   */

   See Color Units for a description of possible color values.

background-color
................

Value:         <color> | transparent
Initial:       transparent
Applies to:    all elements
Inherited:     no
Percentage     N/A
values:

   This property sets the background color of an element.

       H1 { background-color: #F00 }

background-image
................

Value:         <url> | none
Initial:       none
Applies to:    all elements
Inherited:     no
Percentage     N/A
values:

   This property sets the background image of an element. When setting a
background image, one should also set a background color that will be
used when the image is unavailable. When the image is available, it is
overlaid on top of the background color.

       BODY { background-image: url(marble.png) }
       P { background-image: none }

background-repeat
.................

   This property is not supported at all under Emacs/W3.

background-attachment
.....................

   This property is not supported at all under Emacs/W3.

background-position
...................

   This property is not supported at all under Emacs/W3.

background
..........

Value:         <background-color> || <background-image> ||
               <background-repeat> || <background-attachment> ||
               <background-position>
Initial:       not defined for shorthand properties
Applies to:    all elements
Inherited:     no
Percentage     allowed on <background-position>
values:

   The 'background' property is a shorthand property for setting the
individual background properties (i.e., 'background-color',
'background-image', 'background-repeat', 'background-attachment' and
'background-position') at the same place in the style sheet.

   Possible values on the 'background' properties are the set of all
possible values on the individual properties.

       BODY { background: red }
       P { background: url(chess.png) gray 50% repeat fixed }

   The 'background' property always sets all the individual background
properties. In the first rule of the above example, only a value for
'background-color' has been given and the other individual properties
are set to their initial value. In the second rule, all individual
properties have been specified.

Text Properties
---------------

word-spacing
............

Supported      normal
Values:
Unsupported    <length>
Values:
Initial:       normal
Applies to:    all elements
Inherited:     yes
Percentage     N/A
values:

   The length unit indicates an addition to the default space between
words. Values can be negative, but there may be implementation-specific
limits. The UA is free to select the exact spacing algorithm. The word
spacing may also be influenced by justification (which is a value of the
'align' property).

       H1 { word-spacing: 0.4em }

   Here, the word-spacing between each word in 'H1' elements would be
increased by '1em'.

   NOTE: Emacs/W3 cannot currently support this, due to limitations in
Emacs.  It may  be implemented in the future.

letter-spacing
..............

Supported      normal
Values:
Unsupported    <length>
Values:
Initial:       normal
Applies to:    all elements
Inherited:     yes
Percentage     N/A
values:

   The length unit indicates an addition to the default space between
characters. Values can be negative, but there may be
implementation-specific limits. The UA is free to select the exact
spacing algorithm. The letter spacing may also be influenced by
justification (which is a value of the 'align' property).

       BLOCKQUOTE { letter-spacing: 0.1em }

   Here, the letter-spacing between each character in 'BLOCKQUOTE'
elements would be increased by '0.1em'.

   NOTE: Emacs/W3 cannot currently support this, due to limitations in
Emacs.  It may be implemented in the future.

text-decoration
...............

Supported      none | underline | line-through | blink
Values:
Unsupported    overline
Values:
Initial:       none
Applies to:    all elements
Inherited:     no, but see clarification below
Percentage     N/A
values:

   This property describes decorations that are added to the text of an
element. If the element has no text (e.g. the 'IMG' element in HTML) or
is an empty element (e.g. '<EM></EM>'), this property has no effect. A
value of 'blink' causes the text to blink.

   The color(s) required for the text decoration should be derived from
the 'color' property value.

   This property is not inherited, but elements should match their
parent. E.g., if an element is underlined, the line should span the
child elements. The color of the underlining will remain the same even
if descendant elements have different 'color' values.

       A:link, A:visited, A:active { text-decoration: underline }

   The example above would underline the text of all links (i.e., all
'A' elements with a 'HREF' attribute).

   NOTE: The 'line-through' property is only supported under XEmacs
currently.  A patch has been sent to the Emacs maintainers to add
support for this, but it has not made it into the main distribution yet.

vertical-align
..............

   This is currently unsupported in Emacs/W3.

text-transform
..............

Supported      none
Values:
Unsupported    capitalize | uppercase | lowercase
Values:
Initial:       none
Applies to:    all elements
Inherited:     yes
Percentage     N/A
values:

'capitalize'
     Uppercases the first character of each word.

'uppercase'
     Uppercases all letters of the element.

'lowercase'
     Lowercases all letters of the element.

'none'
     Neutralizes inherited value.

   The actual transformation in each case is human language dependent.

       H1 { text-transform: uppercase }

   The example above would put 'H1' elements in uppercase text.

   NOTE: This capability was in the previous version of Emacs/W3, but
has not been reimplemented in the new display code yet.  Please feel
free to send me patches.

text-align
..........

Value:         left | right | center | justify
Initial:       User specific
Applies to:    block-level elements
Inherited:     yes
Percentage     N/A
values:

   This property describes how text is aligned within the element. The
actual justification algorithm used is UA and human language dependent.

   Example:
       DIV.center { text-align: center }

   Since 'text-align' inherits, all block-level elements inside the
'DIV' element with 'CLASS=center' will be centered. Note that
alignments are relative to the width of the element, not the canvas.

text-indent
...........

   Not currently implemented in Emacs/W3.

line-height
...........

   Not currently implemented in Emacs/W3.

Box Properties
--------------

Classification
--------------

   These properties classify elements into categories more than they set
specific visual parameters.

   The list-style properties describe how list items (i.e. elements
with a 'display' value of 'list-item') are formatted. The list-style
properties can be set on any element, and it will inherit normally down
the tree. However, they will only be have effect on elements with a
'display' value of 'list-item'. In HTML this is typically the case for
the 'LI' element.

display
.......

Value:         block | inline | list-item | none
Extensions:    line
Initial:       inline
Applies to:    all elements
Inherited:     no
Percentage     N/A
values:

   This property describes how/if an element is displayed on the canvas
(which may be on a printed page, a computer display etc.).

   An element with a 'display' value of 'block' opens whitespace
suitable for a paragraph break.  Typically, elements like 'H1' and 'P'
are of type 'block'. A value of 'list-item' is similar to 'block'
except that a list-item marker is added. In HTML, 'LI' will typically
have this value.

   An element with a 'display' value of 'inline' results in a new inline
box on the same line as the previous content.

   A value of 'none' turns off the display of the element, including
children elements and the surrounding box.

       P { display: block }
       EM { display: inline }
       LI { display: list-item }
       IMG { display: none }

   The last rule turns off the display of images.

   A value of 'line' results in a single line break.  Emacs/W3 needs
this extension to be able to fully specify the behaviour of BR and HR
elements within a stylesheet.

   NOTE: Emacs/W3 defaults to using 'inline' for this property, which
is a slight deviation from the specification.

white-space
...........

Value:         normal | pre | nowrap
Initial:       normal
Applies to:    block-level elements
Inherited:     yes
Percentage     N/A
values:

   This property declares how whitespace inside the element is handled:
the 'normal' way (where whitespace is collapsed), as 'pre' (which
behaves like the 'PRE' element in HTML) or as 'nowrap' (where wrapping
is done only through BR elements):

       PRE { white-space: pre }
       P   { white-space: normal }

list-style-type
...............

Value:         disc | circle | square | decimal | lower-roman |
               upper-roman | lower-alpha | upper-alpha | none
Initial:       disc
Applies to:    elements with 'display' value 'list-item'
Inherited:     yes
Percentage     N/A
values:

   This property is used to determine the appearance of the list-item
marker if 'list-style-image' is 'none' or if the image pointed to by the
URL cannot be displayed.

   Fo example:
       OL { list-style-type: decimal }       /* 1 2 3 4 5 etc. */
       OL { list-style-type: lower-alpha }   /* a b c d e etc. */
       OL { list-style-type: lower-roman }   /* i ii iii iv v etc. */

list-style-image
................

Value:         <url> | none
Initial:       none
Applies to:    elements with 'display' value 'list-item'
Inherited:     yes
Percentage     N/A
values:

   This property sets the image that will be used as the list-item
marker. When the image is available it will replace the marker set with
the 'list-style-type' marker.

   NOTE: This is currently unimplemented in Emacs/W3.

       UL { list-style-image: url(http://png.com/ellipse.png) }

list-style-position
...................

Supported      outside
Values:
Unsupported    inside
Values:
Initial:       outside
Applies to:    elements with 'display' value 'list-item'
Inherited:     yes
Percentage     N/A
values:

   The value of 'list-style-position' determines how the list-item
marker is drawn with regard to the content. For a formatting example see
section 4.1.3.

list-style
..........

Value:         <keyword> || <position> || <url>
Initial:       not defined for shorthand properties
Applies to:    elements with 'display' value 'list-item'
Inherited:     yes
Percentage     N/A
values:

   The 'list-style' property is a shorthand notation for setting the
three properties 'list-style-type', 'list-style-image' and
'list-style-position' at the same place in the style sheet.

       UL { list-style: upper-roman inside }
       UL UL { list-style: circle outside }
       LI.square { list-style: square }

   Setting 'list-style' directly on 'LI' elements can have unexpected
results. Consider:

       <STYLE TYPE="text/css">
         OL.alpha LI  { list-style: lower-alpha }
         UL LI        { list-style: disc }
       </STYLE>
       <BODY>
         <OL CLASS=alpha>
           <LI>level 1
           <UL>
              <LI>level 2
           </UL>
         </OL>
       </BODY>

   Since the specificity (as defined in the cascading order) is higher
for the first rule in the style sheet in the example above, it will
override the second rule on all 'LI' elements and only 'lower-alpha'
list styles will be used. It is therefore recommended to set
'list-style' only on the list type elements:

       OL.alpha  { list-style: lower-alpha }
       UL        { list-style: disc }

   In the above example, inheritance will transfer the 'list-style'
values from 'OL' and 'UL' elements to 'LI' elements.

   A URL value can be combined with any other value:

       UL { list-style: url(http://png.com/ellipse.png) disc }

   In the example above, the 'disc' will be used when the image is
unavailable.

Media Selection
---------------

   To specify that a stylesheet declaration should only apply when
using a certain media type (ie: different font families preferred when
printing versus on-screen presentation), the declarations should be
wrapped in the proposed @media directive.

   The @media directive takes two arguments, the media type, and a block
of style declarations.

       @media print {
         BODY { font-size: 10pt }
         H1 { font-size: 14pt }
       }
   The '@media' construct also allows to put include style sheet rules
for various media in the same style sheet:

       @media print {
         BODY { font-size: 10pt }
       }
       @media screen {
         BODY { font-size: 12pt }
       }

   Currently, the following media types are defined.
Print
     Output for paged opaque material, and for documents viewed on
     screen in print preview mode.

Screen
     A continuous presentation for computer screens.

Projector
     Paged presentation for projected presentations.

Braille
     For braille tactile feedback devices.

Speech
     Aural presentation.

Light
     The stylesheet will only be applied if the user is using a light
     background.

Dark
     The stylesheet will only be applied if the user is using a dark
     background.

Emacs
     The stylesheet will only be applied if the user is running in
     Emacs 19.

XEmacs
     The stylesheet will only be applied if the user is running in
     XEmacs 19.

All
     The default value, the style sheet applies to all output devices.

Speech Properties
-----------------

   Those of us who are sighted are accustomed to visual presentation of
HTML documents, frequently on a bitmapped display. This is not the only
possible presentation method, however. Aural presentation, using a
combination of speech synthesis and 'audio icons', provides an
alternative presentation. This form of presentation is in current use by
the blind and print-impaired communities.

   Often such aural presentation occurs by converting the document to
plain text and feeding this to a 'screen reader' - software or hardware
that simply reads all the characters on the screen. This results in less
effective presentation than would be the case if the document structure
were retained.

   There are other large markets for aural presentation, including
in-car and home entertainment use; aurual or mixed aural/visual
presentation is thus likely to increase in importance over the next few
years. Realizing that that the aural rendering is essentially
independent of the visual rendering:

   * Allows orthogonal aural and visual views.

   * Allows browsers to optionally implement both aural and visual
     views to produce truly multimodal documents.

volume
......

Value:         <percentage> | mute | x-soft | soft | medium | loud |
               x-loud
Initial:       medium
Applies to:    all elements
Inherited:     yes
Percentage     relative to user-specified mapping
values:

   The legal range of percentage values is 0% to 100%. There is a fixed
mapping between keyword values and percentages:

   * 'x-soft' = '0%'

   * 'soft' = '25%'

   * 'medium' = '50%'

   * 'loud' = '75%'

   * 'x-loud' = '100%'

   Volume refers to the median volume of the waveform. In other words, a
highly inflected voice at a volume of 50 might peak well above that.
Note that '0%' does not mean the same as "mute". 0% represents the
minimum audible volume level and 100% corresponds to the maximum
comfortable level. The UA should allow the values corresponding to 0%
and 100% to be set by the user. Suitable values depend on the equipment
in use (speakers, headphones), the environment (in car, home theater,
library) and personal preferences. Some examples:

   * A browser for in-car use has a setting for when there is lots of
     background noise . 0% would map to a fairly high level and 100% to
     a quite high level. The overall values are likely to be human
     adjustable for comfort, for example with a physical volume
     control: what this proposal does is adjust the dynamic range.

   * Another speech browser is being used in the home, late at night,
     (don't annoy the neighbors) or in a shared study room. 0% is set
     to very quiet and 100% to a fairly quiet level, too. As with the
     first example, there is a low slope; the dynamic range is reduced.
     The actual volumes are low here, wheras they were high in the
     first example.

   * In a quiet and isolated house, an expensive hifi home theatre
     setup. 0% is set fairly low and 100% to quite high; there is wide
     dynamic range.

   The same authors stylesheet could be used in all cases, simply by
mapping the 0 and 100 points suitably at the client side.

pause-before
............

Value:         <time> | <percentage>
Initial:       UA specific
Applies to:    all elements
Inherited:     no
Percentage     speed
values:

   This property specifies the pause before elements. It may be given
in an absolute units (seconds, milliseconds) or as a relative value in
which case it is relative to the reciprocal of the 'speed' property: if
speed is 120 words per minute (ie a word takes half a second - 500
milliseconds) then a pause-before of 100% means a pause of 500 ms and a
pause-before of 20% means 100ms.

   Using relative units gives more robust stylesheets in the face of
large changes in speed.

pause-after
...........

Value:         <time> | <percentage>
Applies to:    all elements
Inherited:     no
Percentage     speed
values:

   This property specifies the pause after elements. Values are
specified the same way as 'pause-before'.

pause
.....

Value:         [<time> | <percentage> ]{1,2};
Applies to:    all elements
Inherited:     no
Percentage     speed
values:

   The 'pause' property is a shorthand for setting 'pause-before' and
'pause-after'. The first value is pause-before and the second is
pause-after. If only one value is given, it applies to both properties.

   Examples:

       H1 { pause: 20ms }       /* pause-before: 20ms; pause-after: 20ms */
       H2 { pause: 30ms 40ms }  /* pause-before: 30ms; pause-after: 40ms */
       H3 { pause-after: 10ms } /* pause-before: ?;    pause-after: 10ms */

cue-before
..........

Value:         <url> | none
Initial:       none
Applies to:    all elements
Inherited:     no

   Auditory icons are another way to distinguish semantic elements.
Sounds may be played before, and/or after the element to delimit it.
The same sound can be used both before and after, using the cue
property.

   Examples:

       A  { cue-before: url(bell.aiff); cue-after: url(dong.wav) }
       H1 { cue-before: url(pop.au); cue-after: url(pop.au) }
       H1 { cue: url(pop.au) }  /* same as previous */

cue-after
.........

   See cue-before

cue
...

   See cue-before

cue-during
..........

Value:         <url> | mix | none
Initial:       mix
Applies to:    all elements
Inherited:     no

   Similar to the cue-before and cue-after properties, this indicates
sound to be played during an element as a background (ie the sound is
mixed in with the speech).

   Examples:

       BLOCKQUOTE.sad { cue-during: url(violins.aiff) }

speed
.....

Value:         <words-per-minute> | x-slow | slow | medium | fast |
               x-fast | faster | slower
Initial:       medium
Applies to:    all elements
Inherited:     yes

   Specifies the speaking rate. Note that both absolute and relative
keyword values are allowed (compare with font-weight).

voice-family
............

Value:         [[<specific-voice> | <generic-voice>],]*
               [<specific-voice> | <generic-voice>]
Initial:       device-specific
Applies to:    all elements
Inherited:     yes

   The value is a prioritized list of voice family names. Generic
families are male, female, and child.

   Examples of specific voice families are: comedian, paul, lisa

   Examples

       H1 { voice-family: announcer, male }
       P.part.romeo { voice-family: romeo, male }
       P.part.juliet { voice-family: juliet, female }

pitch
.....

pitch-range
...........

stress
......

Value:         <percentage>
Initial:       medium
Applies to:    all elements
Inherited:     yes

   Specifies the level of stress (assertiveness or emphasis) of the
speaking voice. English is a stressed language, and different parts of a
sentence are assigned primary, secondary or tertiary stress. The value
of property 'stress' controls the amount of inflection that results from
these stress markers.

   Increasing the value of this property results in the speech being
more strongly inflected. It is in a sense dual to property
'pitch-range' and is provided to allow developers to exploit higher-end
auditory displays.

richness
........

Value:         <percentage>
Initial:       medium (50%)
Applies to:    all elements
Inherited:     yes

   Specifies the richness (brightness) of the speaking voice. Different
speech devices may require the setting of one or more device-specific
parameters to achieve this effect.

   The effect of increasing richness is to produce a voice that carries
- reducing richness produces a soft, mellifluous voice.

speak-punctuation
.................

Value:         code | none
Initial:       none
Applies to:    all elements
Inherited:     yes

   'code' indicates that punctuation such as semicolons, braces, and so
on are to be spoken literally. The default value of 'none' means that
punctuation is not spoken but instead is rendered naturally as various
pauses.

speak-date
..........

Value:         myd | dmy | ymd | none
Initial:       none
Applies to:    all elements
Inherited:     no

   This is a hint that the element contains a date and also how that
date should be spoken. month-day-year is common in the USA, while
day-month-year is common in Europe and year-month-day is also used.

   This should really be an HTML tag not a stylesheet property, since it
gives semantic information about the content.

speak-numeral
.............

Value:         digits | continous
Initial:       none
Applies to:    all elements
Inherited:     yes

speak-time
..........

Value:         24 | 12 | none
Initial:       none
Applies to:    all elements
Inherited:     yes

Units
=====

Length Units
------------

Percentage Units
----------------

color Units
-----------

URLs
----

Angle Units
-----------

   These are the legal angle units:
   * deg: degrees

   * grad

   * rad: radians

Time Units
----------

   These are the legal time units:

   * ms: milliseconds

   * s: seconds

Supported URLs
**************

   ::WORK:: List supported URL types, specific RFCs, etc.

file
====

ftp
===

nfs
===

info
====

http/https
==========

mailto
======

news/nntp/snews
===============

rlogin/telnet/tn3270
====================

irc
===

data
====

mailserver
==========

gopher
======

finger
======